Productsup

List states

Integrators can only list their own states. A state is holding progress of background process.

Sign in to run requests against the CDE API.
GET
/states

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Query Parameters

triggered_by?string

filter by user who triggered the background process

status?string

Filter state by current status (pending,done,failed)

from?integer

starting item

limit?integer

items per page

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://cde.staging.productsup.com/states"
{
  "data": [
    {
      "id": "f88e4542-ed97-4be0-b02f-31418e638ea8",
      "status": "pending",
      "name": "et",
      "owner": "01a10fc8-7c4c-75a1-96a3-a41a422e0e24",
      "created": "2026-10-06T07:55:59+02:00",
      "config": {
        "name": "state 3"
      },
      "data": []
    },
    {
      "id": "53f92084-3bed-47e0-8b70-6fbe87c3ef68",
      "status": "done",
      "name": "quia",
      "owner": "01a10fc8-7c4c-75a1-96a3-a41a422e0e24",
      "created": "2026-10-06T07:55:59+02:00",
      "config": {
        "name": "state 4"
      },
      "data": []
    }
  ],
  "metadata": {
    "from": 0,
    "limit": 100,
    "count": 2,
    "total": 2,
    "next": null
  },
  "message": "successful operation",
  "resource": "state"
}
{
  "message": "Invalid connector user identifier.",
  "errors": []
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}